## org.jfree.chart.axis
Class NumberTickUnit

    java.lang.Object
      org.jfree.chart.axis.TickUnit
          org.jfree.chart.axis.NumberTickUnit

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  SymbolicTickUnit

public class NumberTickUnit
extends TickUnit
implements java.io.Serializable

A numerical tick unit.

See Also:
  Serialized Form

Constructor Summary
`NumberTickUnit(double size)` Creates a new number tick unit.
`NumberTickUnit(double size, java.text.NumberFormat formatter)` Creates a new number tick unit.

Method Summary
`java.lang.String` `valueToString(double value)` Converts a value to a string.

Methods inherited from class org.jfree.chart.axis.TickUnit
`compareTo, equals, getSize`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberTickUnit

    public NumberTickUnit(double size)

  Creates a new number tick unit.

Parameters:
  `size` - the size of the tick unit.

### NumberTickUnit

    public NumberTickUnit(double size,
                          java.text.NumberFormat formatter)

  Creates a new number tick unit.

Parameters:
  `size` - the size of the tick unit.
  `formatter` - a number formatter for the tick unit.

Method Detail

### valueToString

    public java.lang.String valueToString(double value)

  Converts a value to a string.

  Overrides:
    `valueToString` in class `TickUnit`
  Parameters:
    `value` - the value.
  Returns:
    the formatted string.